Skip to main content
`Ctrl`+`K`

# DMPlexInterpolatePointSF

Insert interpolated points in the overlap into the `PointSF` in parallel, following local interpolation

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInterpolatePointSF(DM dm, PetscSF pointSF)

Collective

## Input Parameters

- dm - The interpolated `DMPLEX`

- pointSF - The initial `PetscSF` without interpolated points

## Note

Debugging for this process can be turned on with the options: `-dm_interp_pre_view` `-petscsf_interp_pre_view` `-petscsection_interp_candidate_view` `-petscsection_interp_candidate_remote_view` `-petscsection_interp_claim_view` `-petscsf_interp_pre_view` `-dmplex_interp_debug`

## See Also

`DMPLEX`, `DMPlexInterpolate()`, `DMPlexUninterpolate()`

## Level

developer

## Location

src/dm/impls/plex/plexinterpolate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages